struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Gainty" <mgai...@hotmail.com>
Subject Re: [s2] Requirements(O/T as relates to build environment for Struts2)
Date Thu, 16 Nov 2006 14:39:28 GMT
I unzipped to struts-2.0.0-SNAPSHOT\src
and modified the pom.xml distributionManagement task as follows from 

            <!-- url>scp://people.apache.org/www/struts.apache.org/struts2/apps</url
-->
to--
            <url>scp://people.apache.org/repo/m2-snapshot-repository/org/apache/struts</url>

here is the my distributionManagement to include in the xwork-2.0-SNAPSHOT.jar

     <distributionManagement>
        <site>
            <id>apache-site</id>
            <!-- url>scp://people.apache.org/www/struts.apache.org/struts2/apps</url
-->
            <url>scp://people.apache.org/repo/m2-snapshot-repository/org/apache/struts</url>
            <url>file://C:/Struts/Struts-2.0/struts-2.0.0/lib/xwork-2.0-SNAPSHOT.jar</url>
        </site>
    </distributionManagement>

I can rebuild the individual jars (struts2-core-2.0.1.jar) but I dont see any option to rebuild
the web archives
specifically struts2-showcase-2.0.1.war

Thanks
Martin --
This e-mail communication and any attachments may contain confidential and privileged information
for the use of the 
designated recipients named above. If you are not the intended recipient, you are hereby notified
that you have received
this communication in error and that any review, disclosure, dissemination, distribution or
copying of it or its 
contents
----- Original Message ----- 
From: "Wendy Smoak" <wsmoak@gmail.com>
To: "Struts Users Mailing List" <user@struts.apache.org>
Sent: Wednesday, November 15, 2006 7:15 PM
Subject: Re: [s2] Requirements(O/T as relates to build environment for Struts2)


> On 11/15/06, Martin Gainty <mgainty@hotmail.com> wrote:
> 
>> I need to build Struts2 so when I go to Struts-2 folder and execute mvn (2nd generation
maven against pom.xml)
>> (I modified pom.xml to accomodate existing jars)
> 
> How?
> 
>> so when I execute maven in folder where pom.xml is located
>> struts-2.0.0-SNAPSHOT/src>mvn
>> struts-2.0.0-SNAPSHOT\src\core\src\main\java\org\apache\struts2\dispatcher\StrutsRequestWrapper.java:[74,79]
incompatible types
>> found   : com.opensymphony.xwork2.util.ValueStack
>> required: com.opensymphony.xwork2.util.OgnlValueStack
> 
> My guess is that you're building against the wrong version of XWork.
> IIRC, there was no tag for the XWork version that shipped with Struts
> 2.0.0.
> 
> This was fixed in the Struts 2.0.1 build, which depends on the
> 2.0-beta-1 version of XWork.
> 
> For Struts 2.0.0, the dependency is on xwork-core:2.0-SNAPSHOT which
> means if you build it now, Maven will pull down the very latest code.
> And that's unlikely to work since there have been so many changes.
> 
> If you really need to build Struts 2.0.0, you'll probably want to take
> the XWork jar that shipped with it, and install it into your local
> repository under some other name, then change the Struts pom.xml to
> use that version.
> 
> -- 
> Wendy
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> For additional commands, e-mail: user-help@struts.apache.org
> 
>
Mime
View raw message